<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides User Payment functions
 *
 * @package    Payment
 * @category   Controllers/User
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_User_Payment extends Controller_Payment {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show payments received
	 */
	public function action_list() {
		Block::factory()
			->title(sprintf('%s: %s - %s',_('Payments Received For'),$this->ao->accnum(),$this->ao->name(TRUE)))
			->title_icon('icon-th-list')
			->body(Table::factory()
				->page_items(50)
				->data($this->ao->payment->find_all())
				->columns(array(
					'id'=>'ID',
					'date_payment'=>'Date',
					'checkout->display("name")'=>'Method',
					'total(TRUE)'=>'Total',
					'balance(TRUE)'=>'Balance',
					'invoicelist()'=>'Invoices',
				))
			);
	}
}
?>
